package prompt.multiperspective.configuration.gui;

import java.awt.BorderLayout;

import javax.swing.Box;
import javax.swing.JPanel;

import prompt.multiperspective.utils.GUIUtils;

import com.jgoodies.forms.builder.DefaultFormBuilder;
import com.jgoodies.forms.layout.FormLayout;

/**
 * 
 * @author Andrea Burattin
 */
public class Introduction extends JPanel {

	private static final long serialVersionUID = -274338207158410851L;

	public Introduction() {
		init();
	}
	
	private void init() {
		FormLayout layout = new FormLayout("pref:grow");
		DefaultFormBuilder builder = new DefaultFormBuilder(layout);
		
		GUIUtils.configureSeparator(builder.appendSeparator("Introduction"));
		builder.append(Box.createVerticalStrut(10));
		builder.append(GUIUtils.fromHTMLToJLabel("mpm-introduction.html"));
		
		setLayout(new BorderLayout());
		add(builder.getPanel());
	}
}
